### File

`packages/ecl/components/ecl-list-illustration/ecl-list-illustration-picture.directive.ts`

### Description

Directive applied to `<picture>` elements within ECL list illustrations.

Adds the necessary ECL CSS classes for illustration pictures.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

Selector | `picture[eclListIllustrationPicture]`

### Index

###### Properties
eclIllustrationImage
###### Methods
getCssClasses
###### Inputs
isSquare class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isSquare
Type : `boolean`
Default value : `false`
If true, image is styled with square dimensions.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies the base ECL picture classes for list illustration pictures.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclIllustrationImage
Type : `EclListIllustrationImageDirective`
Decorators : `@ContentChild(undefined)`

### Accessors

cssClasses
get `cssClasses()`
Applies the base ECL picture classes for list illustration pictures. Returns : `string`

# results matching ""

# No results matching ""